#!/bin/bash

###########################################################################
# reminder

# ... SETSHELL grid
# ... qsub ./run_autoapp.sh
# ... qstat
# ... qdel pid

###########################################################################

# ... job type(q_1day, q_1week)
#$ -l q_1day
# ... $ -l q_1day_mth
# ... $ -l mem_free=4G
# ... $ -l h_vmem=8G

# ... ensure to use the rigth shell
#$ -S /bin/sh

# ... set the working directory for output
#$ -wd project_root/tmp/grid

# ... merge STDOUT and STDERR together
#$ -j y

# ... job name
#$ -N DISTANCES0

# ... hold until previous jobs are finished
#$ -hold_jid DISTANCES

# ... index range for job arrays
#$ -t 1-30:1

# ... environment
PRJ_DIR="project_root"

export PYTHONPATH="$PRJ_DIR":$PYTHONPATH
export PYTHONPATH="python/lib/python2.6/site-packages":$PYTHONPATH
export PATH="python/bin":$PATH

# ... full path to the program
cd "$PRJ_DIR/heat/dbutils"
python < dbimg_distdata.py