#!/usr/bin/python

###########################################################################
#                                                                         #
# Copyright (c) 2011                   - Idiap Research Institute         #
#                                        http://www.idiap.ch/             #
#                                                                         #
# See file COPYING for the license associated to this software            #
#                                                                         #
###########################################################################

"""
Provides the forms corresponding to the models.
"""

###########################################################################
# IMPORTS

from django.db.models.loading import cache
from django.forms import ModelForm

from retrieval.helpers.shortcuts import create_model
from retrieval.models import get_config_model

###########################################################################
# FUNCTION

def get_config_form(active_db):
    """
    Creates the corresponding form.
    """

    Config = get_config_model(active_db)

    options = {'model': Config,}

    form = create_model('ConfigForm',
                        super_=(_ConfigForm,),
                        module=_ConfigForm.__module__,
                        options=options)

    return form

###########################################################################
# CLASS

class _ConfigForm(ModelForm):
    """
    Super class declared for convenience.
    """

    pass
