#!/usr/bin/env python

###########################################################################
#                                                                         #
# Copyright (c) 2011                   - Idiap Research Institute         #
#                                        http://www.idiap.ch/             #
#                                                                         #
# See file COPYING for the license associated to this software            #
#                                                                         #
###########################################################################

"""
Urls declarations
"""

###########################################################################
# IMPORTS

from django.conf.urls.defaults import patterns, url, handler404, handler500

###########################################################################

urlpatterns = patterns('retrieval.search.views',

    # search mode
    url(r'^$', 'index', name='index'),
    url(r'^test/$', 'test', name='test'),
    url(r'^train/$', 'train', name='train'),

    # navigation
    url(r'^next/(?P<index>\d+)/$', 'next', name='next'),
    url(r'^prev/(?P<index>\d+)/$', 'prev', name='prev'),
    url(r'^next2/(?P<index>\d+)/$', 'next2', name='next2'),
    url(r'^prev2/(?P<index>\d+)/$', 'prev2', name='prev2'),
    url(r'^next4/(?P<index>\d+)/$', 'next4', name='next4'),
    url(r'^prev4/(?P<index>\d+)/$', 'prev4', name='prev4'),
    url(r'^next5/(?P<index>\d+)/$', 'next5', name='next5'),
    url(r'^prev5/(?P<index>\d+)/$', 'prev5', name='prev5'),

    # assistant
    url(r'^task/new/$', 'task_new', name='task_new'),
    url(r'^task/query/$', 'task_query', name='task_query'),
    url(r'^task/target/$', 'task_target', name='task_target'),
    url(r'^task/info/$', 'task_info', name='task_info'),

    # configuration
    url(r'^config/new/$', 'config_new', name='config_new'),

    # image fdbk
    url(r'^fdbk/im/(?P<dbid>\d+)/$', 'fdbk_im', name='fdbk_im'),
    url(r'^fdbk/im/$', 'fdbk_im', name='fdbk_im_none'),

    # callback triggered by jquery when 'document' is ready
    url(r'^update/$', 'update', name='update'),
)
