#!/usr/bin/python

###########################################################################
#                                                                         #
# Copyright (c) 2011                   - Idiap Research Institute         #
#                                        http://www.idiap.ch/             #
#                                                                         #
# See file COPYING for the license associated to this software            #
#                                                                         #
###########################################################################

"""
Provides the forms corresponding to the models.
"""

###########################################################################
# IMPORTS

from django.forms import ModelForm

from retrieval.helpers.shortcuts import create_model
from retrieval.models import get_statistics_model

###########################################################################
# FUNCTION

def get_statistics_form(active_db):
    """
    Creates the corresponding form.
    """

    Statistics = get_statistics_model(active_db)

    options = {
        'model': Statistics,
        'fields': ('users', 'tasks', 'configs'),
    }

    form = create_model('StatisticsForm',
                        super_=(_StatisticsForm,),
                        module=_StatisticsForm.__module__,
                        options=options)

    return form

###########################################################################
# CLASS

class _StatisticsForm(ModelForm):
    """
    Super class declared for convenience.
    """

    pass
