#!/usr/bin/python

###########################################################################
#                                                                         #
# Copyright (c) 2011                   - Idiap Research Institute         #
#                                        http://www.idiap.ch/             #
#                                                                         #
# See file COPYING for the license associated to this software            #
#                                                                         #
###########################################################################

"""
Urls declarations
"""

###########################################################################
# IMPORTS

from django.conf import settings
from django.conf.urls.defaults import patterns, include, url, \
                                      handler404, handler500

# Uncomment the next two lines to enable the admin:
#from django.contrib import admin
#admin.autodiscover()

###########################################################################

#handler500 = 'django.views.defaults.page_not_found'
#handler404 = 'django.views.defaults.server_error'
handler500 = 'retrieval.help.views.handler500'
handler404 = 'retrieval.help.views.handler404'

###########################################################################

urlpatterns = patterns('',

    # default webpage
    #url(r'^$', 'retrieval.main.views.index', {'new_db': None}),
    url(r'^$', 'retrieval.help.views.index'),

    # registration application
    (r'^registration/', include('registration.urls',
                                namespace='registration',
                                app_name='registration')),

    # retrieval application
    (r'^retrieval/', include('retrieval.urls',
                             namespace='retrieval',
                             app_name='retrieval')),

    # language tools
    #(r'^i18n/', include('django.conf.urls.i18n')),

    # admin tools
    #(r'^admin/', include('django.contrib.auth.urls')),
    #(r'^admindocs/', include('django.contrib.admindocs.urls')),

    # static files... need to be done in Apache config
    url(r'^files/(?P<path>.*)$', 'django.views.static.serve',
        {'document_root': settings.MEDIA_ROOT}),
)
