#!/usr/bin/python

###########################################################################
#                                                                         #
# Copyright (c) 2011                   - Idiap Research Institute         #
#                                        http://www.idiap.ch/             #
#                                                                         #
# See file COPYING for the license associated to this software            #
#                                                                         #
###########################################################################

"""
Cython declarations
"""

###########################################################################
# IMPORTS

cimport numpy as cnp

from retrieval_libs.dblayer.DbTableImg cimport DbTableImg

###########################################################################
# CLASS

cdef class Behavior(object):

    cdef DbTableImg dbimg

    cdef tuple thargs_init
    cdef tuple thargs_curr
    cdef unicode thargs_type

    cdef cnp.ndarray weights_init
    cdef cnp.ndarray weights_curr
    cdef unicode weights_type

    #######################################################################
    # local functionality

    cdef tuple _allthargs(self)
    cdef cnp.ndarray _allweights(self)

    #######################################################################
    # main functionality

    #def init(self, DbTableImg dbimg, USR_WEIGHTS)
    #def fdbk_im(self, refdbid, fdbkdbid)
    #def fdbk_order(self, refdbid, fdbkdbid)

###########################################################################
# CLASS

cdef class IdeBehavior(Behavior):

    #def fdbk_im(self, refdbid, fdbkdbid)
    #def fdbk_order(self, refdbid, fdbkdbid)
    pass

###########################################################################
# CLASS

cdef class RndBehavior(Behavior):

    #def fdbk_im(self, refdbid, fdbkdbid)
    pass
