#!/usr/bin/env python

###########################################################################
#                                                                         #
# Copyright (c) 2011                   - Idiap Research Institute         #
#                                        http://www.idiap.ch/             #
#                                                                         #
# See file COPYING for the license associated to this software            #
#                                                                         #
###########################################################################

"""
Cython declarations
"""

###########################################################################
# IMPORTS

cimport numpy as cnp

###########################################################################
# FUNCTIONS

cdef cnp.ndarray extend_int32_ndim1(
        cnp.ndarray[cnp.int32_t, ndim=1, mode='c'] data,
        list trix,
        cnp.ndarray[cnp.int32_t, ndim=1, mode='c'] deltadata)

cdef cnp.ndarray extend_int64_ndim1(
        cnp.ndarray[cnp.int_t, ndim=1, mode='c'] data,
        list trix,
        cnp.ndarray[cnp.int_t, ndim=1, mode='c'] deltadata)

cdef cnp.ndarray extend_float32_ndim1(
        cnp.ndarray[cnp.float32_t, ndim=1, mode='c'] data,
        list trix,
        cnp.ndarray[cnp.float32_t, ndim=1, mode='c'] deltadata)

cdef cnp.ndarray extend_float32_ndim2(
        cnp.ndarray[cnp.float32_t, ndim=2, mode='c'] data,
        list trix,
        cnp.ndarray[cnp.float32_t, ndim=2, mode='c'] deltadata)
