#!/usr/bin/env python

###########################################################################
#                                                                         #
# Copyright (c) 2011                   - Idiap Research Institute         #
#                                        http://www.idiap.ch/             #
#                                                                         #
# See file COPYING for the license associated to this software            #
#                                                                         #
###########################################################################

"""
Cython declarations
"""

###########################################################################
# IMPORTS

cimport numpy as cnp

###########################################################################
# FUNCTIONS

cdef update_prob0(
        cnp.ndarray[cnp.float32_t, ndim=1, mode='c'] prob,
        cnp.ndarray[cnp.float32_t, ndim=1, mode='c'] pp,
        cnp.ndarray[cnp.float32_t, ndim=1, mode='c'] pm)

cdef dwdate_prob0(
        cnp.ndarray[cnp.float32_t, ndim=1, mode='c'] prob,
        cnp.ndarray[cnp.float32_t, ndim=1, mode='c'] pp,
        cnp.ndarray[cnp.float32_t, ndim=1, mode='c'] pm)

cdef cnp.ndarray update_prob20(
        cnp.ndarray[cnp.float32_t, ndim=1, mode='c'] prob,
        cnp.ndarray[cnp.float32_t, ndim=2, mode='c'] pp,
        cnp.ndarray[cnp.float32_t, ndim=2, mode='c'] pm)

cdef cnp.ndarray dwdate_prob20(
        cnp.ndarray[cnp.float32_t, ndim=1, mode='c'] prob,
        cnp.ndarray[cnp.float32_t, ndim=2, mode='c'] pp,
        cnp.ndarray[cnp.float32_t, ndim=2, mode='c'] pm)

#########################################################################

cdef update_prob(
        cnp.ndarray[cnp.float32_t, ndim=1, mode='c'] prob,
        cnp.ndarray[cnp.float32_t, ndim=1, mode='c'] pp,
        cnp.ndarray[cnp.float32_t, ndim=1, mode='c'] pm)

cdef update_prob_full(
        cnp.ndarray[cnp.float32_t, ndim=1, mode='c'] prob,
        cnp.ndarray[cnp.float32_t, ndim=1, mode='c'] pp,
        cnp.ndarray[cnp.float32_t, ndim=1, mode='c'] pm)

cdef dwdate_prob(
        cnp.ndarray[cnp.float32_t, ndim=1, mode='c'] prob,
        cnp.ndarray[cnp.float32_t, ndim=1, mode='c'] pp,
        cnp.ndarray[cnp.float32_t, ndim=1, mode='c'] pm)

cdef cnp.ndarray update_prob2(
        cnp.ndarray[cnp.float32_t, ndim=1, mode='c'] prob,
        cnp.ndarray[cnp.float32_t, ndim=2, mode='c'] pp,
        cnp.ndarray[cnp.float32_t, ndim=2, mode='c'] pm)

cdef cnp.ndarray dwdate_prob2(
        cnp.ndarray[cnp.float32_t, ndim=1, mode='c'] prob,
        cnp.ndarray[cnp.float32_t, ndim=2, mode='c'] pp,
        cnp.ndarray[cnp.float32_t, ndim=2, mode='c'] pm)
