#!/usr/bin/env python

###########################################################################
#                                                                         #
# Copyright (c) 2011                   - Idiap Research Institute         #
#                                        http://www.idiap.ch/             #
#                                                                         #
# See file COPYING for the license associated to this software            #
#                                                                         #
###########################################################################

"""
Cython declarations
"""

###########################################################################
# IMPORTS

cimport numpy as cnp

###########################################################################
# FUNCTIONS

cdef tuple _coef_p(cnp.ndarray[cnp.float32_t, ndim=2, mode='c'] THARGS)
cdef tuple _coef_m(cnp.ndarray[cnp.float32_t, ndim=2, mode='c'] THARGS)
cpdef tuple get_thcoefs(cnp.ndarray THARGS)

###########################################################################
#  queryimg functionality

cdef cnp.ndarray _iddc(tuple distdata, tuple thargs)
cdef tuple _iddpddm(tuple distdata, tuple thargs)

cdef cnp.ndarray _iddw(
        cnp.ndarray[cnp.float32_t, ndim=3, mode='c'] ddc,
        cnp.ndarray[cnp.float32_t, ndim=2, mode='c'] allweights)

cdef cnp.ndarray ddw(
        tuple distdata,
        tuple thargs,
        cnp.ndarray weights)

cdef tuple ddpddm(
        tuple distdata,
        tuple thargs,
        cnp.ndarray[cnp.float32_t, ndim=2, mode='c'] weights)

cdef tuple pppm(
        tuple distdata,
        cnp.int32_t kindex,
        tuple thargs,
        cnp.ndarray[cnp.float32_t, ndim=2, mode='c'] weights)

cdef tuple pppm2(
        tuple distdata,
        cnp.int32_t kindex,
        tuple thargs,
        cnp.ndarray[cnp.float32_t, ndim=2, mode='c'] allweights)

cdef tuple pppm3(
        tuple distdata,
        cnp.int32_t kindex,
        tuple allthargs,
        cnp.ndarray[cnp.float32_t, ndim=2, mode='c'] weights)

###########################################################################
# autousr functionality

cdef cnp.ndarray _ddw_min(
        tuple distdata,
        tuple thargs,
        cnp.ndarray allweights)

cdef cnp.ndarray _ddw_cum(
        tuple distdata,
        tuple thargs,
        cnp.ndarray allweights)

cdef cnp.ndarray fdbkdist(
        tuple distdata,
        tuple thargs,
        cnp.ndarray allweights)
