#!/usr/bin/env python

###########################################################################
#                                                                         #
# Copyright (c) 2011                   - Idiap Research Institute         #
#                                        http://www.idiap.ch/             #
#                                                                         #
# See file COPYING for the license associated to this software            #
#                                                                         #
###########################################################################

"""
Cython declarations
"""

###########################################################################
# IMPORTS

cimport numpy as cnp

from retrieval_libs.dblayer.DbTable cimport DbTable

###########################################################################
# CLASS

cdef class DbTableTree(DbTable):

    #######################################################################
    # get functionality

    cpdef children_size(self, dbid)
    cpdef chsize_level(self, dbid)

    #######################################################################
    # trace functionality

    cpdef children_data(self, dbid)
    cdef dict tracedata(self, cnp.ndarray[cnp.int32_t, ndim=1, mode='c'] dbid)
    cdef dict expand_tracedata(self, cnp.ndarray dbid)
    cpdef list omega(self, dbid)
