#!/usr/bin/env python

###########################################################################
#                                                                         #
# Copyright (c) 2011                   - Idiap Research Institute         #
#                                        http://www.idiap.ch/             #
#                                                                         #
# See file COPYING for the license associated to this software            #
#                                                                         #
###########################################################################

"""
Cython declarations
"""

###########################################################################
# IMPORTS

# HINT: this solves the circular import
cdef class QueryImg

cimport numpy as cnp

from retrieval_libs.dblayer.DbTableImg cimport DbTableImg
from retrieval_libs.dblayer.DbTableTree cimport DbTableTree

from retrieval_libs.search.im_heat.DisplaySetSelector cimport DisplaySetSelector
from retrieval_libs.search.im_heat.TraceUpdater cimport TraceUpdater

from retrieval_libs.search.im_orig.ConsistencyUpdater cimport ConsistencyUpdater
from retrieval_libs.search.im_orig.ProbabilityUpdater cimport ProbabilityUpdater

from retrieval_libs.search.im_orig.DisplaySetSelector cimport DisplaySetSelector as DisplaySetSelector_0
from retrieval_libs.search.im_orig.TraceUpdater cimport TraceUpdater as TraceUpdater_0

###########################################################################
# CLASS

cdef class QueryImg(object):

    #######################################################################
    # CLASS variables

    cdef DbTableImg dbimg
    cdef DbTableTree dbtree

    cdef public tuple thargs
    cdef public cnp.ndarray weights
    cdef public dict rankdata
    cdef public dict rankdata_0
    cdef public dict seeddata
    cdef public list tracedata

    cdef list thargsH
    cdef list weightsH
    cdef list dispfdbkH
    cdef list consistencyH

    cdef TraceUpdater traceupdater
    cdef ConsistencyUpdater consistencyupdater
    cdef ProbabilityUpdater probupdater
    cdef DisplaySetSelector dispselector

    cdef TraceUpdater_0 traceupdater_0
    cdef ProbabilityUpdater probupdater_0
    cdef DisplaySetSelector_0 dispselector_0

    cdef cnp.int32_t COUNT_EXPAND
    cdef cnp.int32_t COUNT_COLLAPSE

    cdef object traceimg

    #######################################################################

    cdef dict _expand_rankdata(self, dict rankdata, tuple node, dict seeddata, dict rankdata_ref)
    cdef dict _collapse_rankdata(self, dict rankdata, dict seeddata)

    #######################################################################

    cdef _add_tracedata(self, dict rankdata, dict seeddata, list action)
