#!/usr/bin/env python

###########################################################################
#                                                                         #
# Copyright (c) 2010                   - IDIAP Research Institute         #
#                                        http://www.idiap.ch/             #
#                                                                         #
# See file COPYING for the license associated to this software            #
#                                                                         #
###########################################################################

"""
Cython declarations
"""

###########################################################################
# IMPORTS

cimport numpy as cnp

from retrieval_libs.dblayer.DbTableImg cimport DbTableImg

###########################################################################
# CLASS

cdef class ConsistencyUpdater(object):

    #######################################################################
    # CLASS variables

    cdef DbTableImg dbimg

    cdef cnp.float32_t consistency_init
    cdef unicode consistency_type

    #######################################################################
    #  local functionality

    cdef cnp.float32_t _update(self, tuple dispfdbk, list dispfdbkH, list thargsH, list weightsH, list consistencyH)

    #######################################################################
    #  main functionality

    cdef init(self, DbTableImg dbimg, tuple CONSISTENCY)
    cdef cnp.float32_t update(self, tuple dispfdbk, list dispfdbkH, list thargsH, list weightsH, list consistencyH)
