#!/usr/bin/env python

###########################################################################
#                                                                         #
# Copyright (c) 2011                   - Idiap Research Institute         #
#                                        http://www.idiap.ch/             #
#                                                                         #
# See file COPYING for the license associated to this software            #
#                                                                         #
###########################################################################

"""
Cython declarations
"""

###########################################################################
# IMPORTS

cimport numpy as cnp

from retrieval_libs.dblayer.DbTableImg cimport DbTableImg

###########################################################################
# CLASS

cdef class DisplaySetSelector(object):

    #######################################################################
    # CLASS variables

    cdef DbTableImg dbimg

    cdef public bint FLAG_CLUSTER
    cdef cnp.int32_t SIZE
    cdef cnp.float32_t total_mass
    cdef cnp.float32_t optim_clmass

    cdef cnp.float32_t zoom_in

    cdef public dict given_seed_candidates

    cdef object traceimg

    #######################################################################
    # local functionality

    cdef _prob_mass(self,
            cnp.int32_t nb_seeds,
            dict rankdata,
            cnp.ndarray[cnp.int32_t, ndim=1, mode='c'] skipdisp)

    cdef _group(self, list clusdata, dict rankdata)
    cdef _group_iteration(self, list clusdata, dict rankdata)
    cdef _sort(self, cnp.int_t sdtrix, cnp.int_t sdclix, cnp.ndarray ddC, list clusdata, dict rankdata)

    cdef cnp.int32_t _update(self, list clusdata, dict rankdata, tuple thargs, cnp.ndarray weights, cnp.ndarray skipdisp)

    #######################################################################
    # main functionality

    cdef set_consistency(self, list consistencyH)

    cdef init(self, DbTableImg dbimg, cnp.int32_t size)
    cdef dict update(self, dict rankdata, tuple thargs, cnp.ndarray weights, list dispfdbkH)
