#!/usr/bin/env python

###########################################################################
#                                                                         #
# Copyright (c) 2011                   - Idiap Research Institute         #
#                                        http://www.idiap.ch/             #
#                                                                         #
# See file COPYING for the license associated to this software            #
#                                                                         #
###########################################################################

"""
Cython declarations
"""

###########################################################################
# IMPORTS

cimport numpy as cnp

from retrieval_libs.dblayer.DbTableImg cimport DbTableImg

###########################################################################
# CLASS

cdef class ProbabilityUpdater(object):

    #######################################################################
    # CLASS variables

    cdef DbTableImg dbimg

    cdef list fdbkfeatH
    cdef list fdbkindexH
    cdef list thargsH
    cdef list weightsH

    #######################################################################
    # main functionality

    cdef init(self, DbTableImg dbimg)

    cdef update(self,
            dict rankdata,
            tuple dispfdbk,
            tuple thargs,
            cnp.ndarray weights)

    cdef init_update_full(self, list dispfdbkH, list thargsH, list weightsH)
    cdef init_update_full2(self, list fdbkfeatH, list fdbkindexH, list thargsH, list weightsH)
    cdef update_full(self, dict rankdata)
