#!/usr/bin/env python

###########################################################################
#                                                                         #
# Copyright (c) 2011                   - Idiap Research Institute         #
#                                        http://www.idiap.ch/             #
#                                                                         #
# See file COPYING for the license associated to this software            #
#                                                                         #
###########################################################################

"""
Cython declarations
"""

###########################################################################
# IMPORTS

# HINT: this solves the circular import
#cdef class QueryImg

cimport numpy as cnp

from retrieval_libs.dblayer.DbTableImg cimport DbTableImg

from retrieval_libs.search.im_orig.DisplaySetSelector cimport DisplaySetSelector
from retrieval_libs.search.im_orig.TraceUpdater cimport TraceUpdater

from retrieval_libs.search.im_orig.ConsistencyUpdater cimport ConsistencyUpdater
from retrieval_libs.search.im_orig.ProbabilityUpdater cimport ProbabilityUpdater

###########################################################################
# CLASS

cdef class QueryImg(object):

    #######################################################################
    # CLASS variables

    cdef DbTableImg dbimg

    cdef public tuple thargs
    cdef public cnp.ndarray weights
    cdef public dict rankdata
    cdef public dict rankdata_0
    cdef public dict seeddata
    cdef public list tracedata

    cdef list dispfdbkH
    cdef list consistencyH

    cdef TraceUpdater traceupdater
    cdef ConsistencyUpdater consistencyupdater
    cdef ProbabilityUpdater probupdater
    cdef DisplaySetSelector dispselector

    cdef object traceimg

    #######################################################################

    cdef _add_tracedata(self, dict rankdata, dict seeddata, list action)
