#!/usr/bin/env python

###########################################################################
#                                                                         #
# Copyright (c) 2011                   - Idiap Research Institute         #
#                                        http://www.idiap.ch/             #
#                                                                         #
# See file COPYING for the license associated to this software            #
#                                                                         #
###########################################################################

"""
Cython declarations
"""

###########################################################################
# IMPORTS

cimport numpy as cnp

from retrieval_libs.dblayer.DbTableImg cimport DbTableImg

###########################################################################
# CLASS

cdef class TraceUpdater(object):

    #######################################################################
    # CLASS variables

    cdef DbTableImg dbimg
    cdef cnp.int32_t TRACE_LN

    #######################################################################
    # local functionality

    cdef dict _update_rankdata(self, dict rankdata)

    #######################################################################
    #  main functionality

    cdef init(self)
    cdef dict rankdata(self, dict rankdata)
    cdef dict clean_rankdata(self, dict rankdata)
