#!/usr/bin/python

###########################################################################
#                                                                         #
# Copyright (c) 2011                   - Idiap Research Institute         #
#                                        http://www.idiap.ch/             #
#                                                                         #
# See file COPYING for the license associated to this software            #
#                                                                         #
###########################################################################

"""
Debug settings.

- It sets the loggers at the DEBUG level
- It activates the django-logging middleware
"""

###########################################################################
# IMPORTS

import logging

from heat.settings.common import MIDDLEWARE_CLASSES

###########################################################################

DEBUG = True
TEMPLATE_DEBUG = DEBUG

logger = logging.getLogger('retrieval')
logger.setLevel(logging.DEBUG)
#logger.setLevel(logging.DEBUG - 1)

logger = logging.getLogger('assistant')
logger.setLevel(logging.DEBUG)

logger = logging.getLogger('workflow')
logger.setLevel(logging.DEBUG)

INTERNAL_IPS = ['127.0.0.1',]

MIDDLEWARE_CLASSES += (
    'djangologging.middleware.LoggingMiddleware',
    'djangologging.middleware.SuppressLoggingOnAjaxRequestsMiddleware',
    )

LOGGING_LOG_SQL = True
LOGGING_OUTPUT_ENABLED = True
LOGGING_SHOW_METRICS = False

